Fingerprint_Card

Loading...
Searching...
No Matches
Zwipe.Test.Tools.JUnit.TestSuite Class Reference

## Public Member Functions
| TestSuite ()
| TestSuite (string hostname, string name, DateTime timestamp)
void | SetTimeSpan (TimeSpan time)
void | SetSystemOut (string value)
void | SetSystemError (string value)

## Properties
int | Errors`[get]`
int | Failures`[get]`
string | Hostname`[get, set]`
string | Name`[get, set]`
int | Tests`[get]`
double | Time`[get]`
TimeSpan | TimeSpan`[get]`
string | Timestamp`[get]`
List< Property > | Properties`[get, set]`
List< TestCase > | TestCases`[get, set]`
XmlCDataSection | SystemOut`[get, set]`
XmlCDataSection | SystemError`[get, set]`

## Private Attributes
string | _systemOut
string | _systemError
DateTime | _timestamp
TimeSpan | _time

## Constructor & Destructor Documentation

## ◆ TestSuite() [1/2]

Zwipe.Test.Tools.JUnit.TestSuite.TestSuite | ( |  | ) |

## ◆ TestSuite() [2/2]

Zwipe.Test.Tools.JUnit.TestSuite.TestSuite | ( | string | hostname,
|  | string | name,
|  | DateTime | timestamp )

## Member Function Documentation

## ◆ SetSystemError()

void Zwipe.Test.Tools.JUnit.TestSuite.SetSystemError | ( | string | value | ) |

## ◆ SetSystemOut()

void Zwipe.Test.Tools.JUnit.TestSuite.SetSystemOut | ( | string | value | ) |

## ◆ SetTimeSpan()

void Zwipe.Test.Tools.JUnit.TestSuite.SetTimeSpan | ( | TimeSpan | time | ) |

## Member Data Documentation

## ◆ _systemError

string Zwipe.Test.Tools.JUnit.TestSuite._systemError
| private

## ◆ _systemOut

string Zwipe.Test.Tools.JUnit.TestSuite._systemOut
| private

## ◆ _time

TimeSpan Zwipe.Test.Tools.JUnit.TestSuite._time
| private

## ◆ _timestamp

DateTime Zwipe.Test.Tools.JUnit.TestSuite._timestamp
| private

## Property Documentation

## ◆ Errors

int Zwipe.Test.Tools.JUnit.TestSuite.Errors
| get

## ◆ Failures

int Zwipe.Test.Tools.JUnit.TestSuite.Failures
| get

## ◆ Hostname

string Zwipe.Test.Tools.JUnit.TestSuite.Hostname
| get set

## ◆ Name

string Zwipe.Test.Tools.JUnit.TestSuite.Name
| get set

## ◆ Properties

List<Property> Zwipe.Test.Tools.JUnit.TestSuite.Properties
| get set

## ◆ SystemError

XmlCDataSection Zwipe.Test.Tools.JUnit.TestSuite.SystemError
| get set

## ◆ SystemOut

XmlCDataSection Zwipe.Test.Tools.JUnit.TestSuite.SystemOut
| get set

## ◆ TestCases

List<TestCase> Zwipe.Test.Tools.JUnit.TestSuite.TestCases
| get set

## ◆ Tests

int Zwipe.Test.Tools.JUnit.TestSuite.Tests
| get

## ◆ Time

double Zwipe.Test.Tools.JUnit.TestSuite.Time
| get

## ◆ TimeSpan

TimeSpan Zwipe.Test.Tools.JUnit.TestSuite.TimeSpan
| get

## ◆ Timestamp

string Zwipe.Test.Tools.JUnit.TestSuite.Timestamp
| get

The documentation for this class was generated from the following file:

- Zwipe.Test.Tools/JUnit/TestSuite.cs